#include "vmsystem.h" 
#include "vmlog.h"
#include "vmtimer.h"
#include "ldlci2cV2.h"
#include "ResID.h"
#include "adxl345_test.h"


VM_TIMER_ID_PRECISE sys_timer_id = 0;

void sys_timer_callback(VM_TIMER_ID_PRECISE sys_timer_id, void* user_data)
{
	unsigned char device_id;

	vm_log_info("sys_timer_loop...");
	dlc_i2c_receive(0x0, &device_id, 1);
	vm_log_info("adxl345 read id is %d", device_id);
}

void handle_sysevt(VMINT message, VMINT param)
{
    switch (message)
    {
        case VM_EVENT_CREATE:
            sys_timer_id = vm_timer_create_non_precise(1000, sys_timer_callback, NULL);
            dlc_i2c_configure(0x53, 100);
            break;
        case VM_EVENT_PAINT:
            break;
        case VM_EVENT_QUIT:
            break;
    }
}

void vm_main(void) 
{
	vm_pmng_register_system_event_callback(handle_sysevt);
}
